some-1.0.1: Existential type: Some

Safe Haskell | Safe
Language | Haskell2010

Data.GADT.DeepSeq

# Documentation

class GNFData f where Source #

Methods

grnf :: f a -> () Source #

#### Instances

Instances details

(GNFData a, GNFData b) => GNFData (Product a b) Source # |
Instance details Defined in Data.GADT.DeepSeq Methods grnf :: Product a b a0 -> () Source #
(GNFData a, GNFData b) => GNFData (Sum a b) Source # |
Instance details Defined in Data.GADT.DeepSeq Methods grnf :: Sum a b a0 -> () Source #